Last Comment Bug 826079 - Update the add-on verifier to check for usages of the global private browsing APIs
: Update the add-on verifier to check for usages of the global private browsing...
Status: RESOLVED FIXED
[fx20]
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Compatibility Tools (show other bugs)
: unspecified
: All All
: -- normal
: 2013-03-21
Assigned To: Wraithan (Chris McDonald) [:wraithan]
:
:
Mentors:
Depends on:
Blocks: PBnGen
  Show dependency treegraph
 
Reported: 2013-01-02 14:53 PST by :Ehsan Akhgari
Modified: 2016-02-04 14:48 PST (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description :Ehsan Akhgari 2013-01-02 14:53:48 PST
We need to look for things like the following:

 * nsIPrivateBrowsingService
 * private-browsing
 * private-browsing-transition-complete
 * private-browsing-cancel-vote
 * private-browsing-change-granted

This service has been removed from Firefox 20.

Do I need to provide more information?
Comment 1 Jorge Villalobos [:jorgev] 2013-01-07 09:04:15 PST
Please point to the bug(s) where the service and notifications where removed.
Comment 2 :Ehsan Akhgari 2013-01-07 09:58:56 PST
Bug 818800 removed the service, but that broke Jetpack add-ons, so we had to add it back in bug 826037.  The new nsIPrivateBrowsingService doesn't have any methods or attributes, and the service doesn't do anything.
Comment 3 :Ehsan Akhgari 2013-02-18 19:05:33 PST
Is there anything else that we can help with here?  Firefox 20 will go to beta this week...

Thanks!
Comment 4 Jorge Villalobos [:jorgev] 2013-02-19 12:02:49 PST
I'll be looking into add-on compatibility bugs very soon. I'll let you know if there's anything we need.
Comment 5 Michael Kraft [:morac] 2013-03-13 17:59:07 PDT
What will the verifier do if it finds these?  My addon still contains instances of some of these but "understands" they aren't used in Firefox 20 and up.
Comment 6 Jorge Villalobos [:jorgev] 2013-03-19 13:00:01 PDT
As explained in comment #1 and comment #2, nsIPrivateBrowsingService and related notifications have been removed. We need to flag all instances of these and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

nsIPrivateBrowsingService and its related observer notifications have been removed due to the new per-window private browsing mode. See <LINK> for more information.

Link: https://developer.mozilla.org/en-US/docs/Updating_addons_broken_by_private_browsing_changes

Affected add-on:

https://addons.mozilla.org/firefox/addon/downthemall/
Comment 7 Jorge Villalobos [:jorgev] 2013-03-19 13:00:36 PDT
(In reply to Michael Kraft [:morac] from comment #5)
> What will the verifier do if it finds these?  My addon still contains
> instances of some of these but "understands" they aren't used in Firefox 20
> and up.

You'll see a warning, but it shouldn't be a problem for add-on submission or review.
Comment 8 Wraithan (Chris McDonald) [:wraithan] 2013-03-20 20:46:08 PDT
https://github.com/mozilla/amo-validator/commit/d0a7b2b8c11757b67cf5100994979882949389ba

Warning added.
Comment 9 krupa raj[:krupa] 2013-03-21 11:49:44 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #6)
> As explained in comment #1 and comment #2, nsIPrivateBrowsingService and
> related notifications have been removed. We need to flag all instances of
> these and show an error.
> 
> This is a compatibility error, so the add-on should not be upgraded in this
> case.
> 
> Message:
> 
> nsIPrivateBrowsingService and its related observer notifications have been
> removed due to the new per-window private browsing mode. See <LINK> for more
> information.
> 
> Link:
> https://developer.mozilla.org/en-US/docs/
> Updating_addons_broken_by_private_browsing_changes
> 
> Affected add-on:
> 
> https://addons.mozilla.org/firefox/addon/downthemall/

verified at https://addons-dev.allizom.org/en-US/developers/upload/967e81044ab246f9b6dab45f1b8c70e1

Note You need to log in before you can comment on or make changes to this bug.